Update installation status
PATCH api/edge/uuid
Sets the installation status of the node assigned to uuid. A token can only update the status of the node it's attached to; it can't update the status of other cluster members.
Request syntax
patch api/edge/<uuid> '{"installation_status": "<string>", "message": "<string>"}'
Request parameters
The request accepts the following data in JSON format.
| Parameter | Type | Description | Required | Default value |
|---|---|---|---|---|
installation_status | String | One of no_status, in_progress, completed, or error. | Yes | N/A |
message | String | A custom message describing the status update. | Yes | N/A |
Response syntax
{
"hostname": "string",
"installation_status": "string",
"expires_at": "timestamp",
"message": "string",
"updated_at": "timestamp",
"time_remaining": "string",
"cluster_members": [
{
"hostname": "string",
"installation_status": "string",
"message": "string",
"updated_at": "timestamp"
}
]
}
Response parameters
If the action is successful, an HTTP 200 response is returned. The following data is returned in JSON format.
| Field | Type | Description |
|---|---|---|
hostname | String | The hostname of the node assigned to the token. |
installation_status | String | The installation status that was set. |
expires_at | Timestamp | When the token expires. |
message | String | The message that was set. |
updated_at | Timestamp | When the status was last updated. |
time_remaining | String | The time remaining before the token expires. |
cluster_members | Array | The hostname, installation status, latest message, and last-updated timestamp for each cluster member. |
Errors
The following are possible errors returned when making this API call. For more information, see Common errors.
| Code | Message | Cause |
|---|---|---|
| 401 | Unauthorized | The token is incorrect or improperly formatted. |
| 404 | Not found | The token wasn't found. |
| 403 | Access token expired | The token's expiration timer has elapsed. |
| 403 | Access token disabled | The URL was manually disabled. |
Examples
Example: Update the installation status for a node
curl -X PATCH -H "Accept: application/vnd.reliantsec-v1+json" -H "Content-Type: application/json" https://platform.reliant.io/api/edge/a51d1c80-8bf1-4f2c-9840-e5c9592fc616 -d '{"installation_status":"in_progress","message":"All good!"}'
Response
{
"hostname": "sit0005red0",
"installation_status": "in_progress",
"expires_at": "2021-11-24T23:54:11Z",
"message": "All good!",
"updated_at": "2021-11-24T22:28:28Z",
"time_remaining": "2.99056 hours",
"cluster_members": [
{
"hostname": "sit0005red1",
"installation_status": "in_progress",
"message": "Booting up",
"updated_at": "2021-10-02T03:54:11Z"
},
{
"hostname": "sit0005red2",
"installation_status": "no_status"
}
]
}